<?php
/************************************************************************
 * Mailer v0.2.1-FINAL                                Start: 07/31/2013 *
 * ===================                          Last change: 07/31/2013 *
 *                                                                      *
 * -------------------------------------------------------------------- *
 * File              : _filter.php                                      *
 * -------------------------------------------------------------------- *
 * Short description : Filters for ext-                                 *
 * -------------------------------------------------------------------- *
 * Kurzbeschreibung  : Filter fuer ext-                                 *
 * -------------------------------------------------------------------- *
 * $Revision::                                                        $ *
 * $Date::                                                            $ *
 * $Tag:: 0.2.1-FINAL                                                 $ *
 * $Author::                                                          $ *
 * -------------------------------------------------------------------- *
 * Copyright (c) 2003 - 2009 by Roland Haeder                           *
 * Copyright (c) 2009 - 2013 by Mailer Developer Team                   *
 * For more information visit: http://mxchange.org                      *
 *                                                                      *
 * This program is free software; you can redistribute it and/or modify *
 * it under the terms of the GNU General Public License as published by *
 * the Free Software Foundation; either version 2 of the License, or    *
 * (at your option) any later version.                                  *
 *                                                                      *
 * This program is distributed in the hope that it will be useful,      *
 * but WITHOUT ANY WARRANTY; without even the implied warranty of       *
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the        *
 * GNU General Public License for more details.                         *
 *                                                                      *
 * You should have received a copy of the GNU General Public License    *
 * along with this program; if not, write to the Free Software          *
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston,               *
 * MA  02110-1301  USA                                                  *
 ************************************************************************/

// Some security stuff...
if (!defined('__SECURITY')) {
	die();
} // END - if

// Filter to run WDS66 API user registation
function FILTER_WERNIS_USER_REGISTRATION ($filterData) {
	//* DEBUG: */ logDebugMessage(__FUNCTION__, __LINE__, 'Called!');

	// Is generic user registration selected?
	if ((isPostRequestElementSet('provider')) && (postRequestElement('provider') == 'wernis')) {
		// Run it
		$filterData['status'] = doWernisUserRegistration();

		// Interrupt filter chain
		interruptFilterChain();
	} // END - if

	// Return it
	//* DEBUG: */ logDebugMessage(__FUNCTION__, __LINE__, 'Done!');
	return $filterData;
}

// Filter to run WDS66 API user registation 'done'
// @TODO 10% done
function FILTER_WERNIS_USER_REGISTRATION_DONE () {
	//* DEBUG: */ logDebugMessage(__FUNCTION__, __LINE__, 'Called!');

	// Is generic user registration selected?
	if ((isPostRequestElementSet('provider')) && (postRequestElement('provider') == 'wernis')) {
		// Run it

		// Interrupt filter chain
		interruptFilterChain();
	} // END - if

	// Return it
	//* DEBUG: */ logDebugMessage(__FUNCTION__, __LINE__, 'Done!');
	return NULL;
}

// Filter to run WDS66 API user registation 'failed'
// @TODO 10% done
function FILTER_WERNIS_USER_REGISTRATION_FAILED () {
	//* DEBUG: */ logDebugMessage(__FUNCTION__, __LINE__, 'Called!');

	// Is generic user registration selected?
	if ((isPostRequestElementSet('provider')) && (postRequestElement('provider') == 'wernis')) {
		// Run it

		// Interrupt filter chain
		interruptFilterChain();
	} // END - if

	// Return it
	//* DEBUG: */ logDebugMessage(__FUNCTION__, __LINE__, 'Done!');
	return NULL;
}

// Filter to run WDS66 API user registation 'form'
// @TODO 10% done
function FILTER_WERNIS_USER_REGISTRATION_FORM () {
	//* DEBUG: */ logDebugMessage(__FUNCTION__, __LINE__, 'Called!');

	// Is WDS66 user registration selected?
	if (((isGetRequestElementSet('provider')) && (getRequestElement('provider') == 'wernis')) || ((!isGetRequestElementSet('provider')) && (getDefaultRegistrationProvider() == 'wernis'))) {
		// Run it

		// Interrupt filter chain
		interruptFilterChain();
	} // END - if

	// Return it
	//* DEBUG: */ logDebugMessage(__FUNCTION__, __LINE__, 'Done!');
	return NULL;
}

// Filter to run WDS66 API user registation check
function FILTER_WERNIS_USER_REGISTRATION_CHECK ($filterData) {
	//* DEBUG: */ logDebugMessage(__FUNCTION__, __LINE__, 'Called!');

	// Return it
	//* DEBUG: */ logDebugMessage(__FUNCTION__, __LINE__, 'Done!');
	return $filterData;
}

// Filter for WDS66 API user login
// @TODO 0% done
function FILTER_WERNIS_USER_LOGIN ($filterData) {
	//* DEBUG: */ logDebugMessage(__FUNCTION__, __LINE__, 'Called!');

	// Return filter data
	//* DEBUG: */ logDebugMessage(__FUNCTION__, __LINE__, 'Done!');
	return $filterData;
}

// Filter for WDS66 API user login check
// @TODO 0% done
function FILTER_WERNIS_USER_LOGIN_CHECK ($filterData) {
	//* DEBUG: */ logDebugMessage(__FUNCTION__, __LINE__, 'Called!');

	// Return filter data
	//* DEBUG: */ logDebugMessage(__FUNCTION__, __LINE__, 'Done!');
	return $filterData;
}

// [EOF]
?>
