<?php
/************************************************************************
 * Mailer v0.2.1-FINAL                                Start: 02/28/2009 *
 * ===================                          Last change: 02/28/2009 *
 *                                                                      *
 * -------------------------------------------------------------------- *
 * File              : handler.php                                      *
 * -------------------------------------------------------------------- *
 * Short description : Handler functions (call-back)                    *
 * -------------------------------------------------------------------- *
 * Kurzbeschreibung  : Handler-Funktionen (Call-Back)                   *
 * -------------------------------------------------------------------- *
 * $Revision::                                                        $ *
 * $Date::                                                            $ *
 * $Tag:: 0.2.1-FINAL                                                 $ *
 * $Author::                                                          $ *
 * -------------------------------------------------------------------- *
 * Copyright (c) 2003 - 2009 by Roland Haeder                           *
 * Copyright (c) 2009 - 2013 by Mailer Developer Team                   *
 * For more information visit: http://mxchange.org                      *
 *                                                                      *
 * This program is free software; you can redistribute it and/or modify *
 * it under the terms of the GNU General Public License as published by *
 * the Free Software Foundation; either version 2 of the License, or    *
 * (at your option) any later version.                                  *
 *                                                                      *
 * This program is distributed in the hope that it will be useful,      *
 * but WITHOUT ANY WARRANTY; without even the implied warranty of       *
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the        *
 * GNU General Public License for more details.                         *
 *                                                                      *
 * You should have received a copy of the GNU General Public License    *
 * along with this program; if not, write to the Free Software          *
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston,               *
 * MA  02110-1301  USA                                                  *
 ************************************************************************/

// Some security stuff...
if (!defined('__SECURITY')) {
	die();
}

// Error handler function
function __errorHandler ($errno, $errstr, $errfile, $errline) {
	// Construct message
	$message = sprintf('errno=%s(0x%s),errstr=%s,errfile=%s,errline=%s',
		$errno,
		getHexErrorCode($errno),
		$errstr,
		basename($errfile),
		$errline
	);

	// Is HTML output mode?
	if (isHtmlOutputMode()) {
		// Output message to user and exit
		reportBug($errfile, $errline, $message);
	} else {
		// Log error message
		logDebugMessage($errfile, $errline, $message);
	}
}

// Init error handler
function initErrorHandler () {
	enableExitOnError(FALSE);
}

// Enable exit on error
function enableExitOnError ($enable=true) {
	$GLOBALS['error_handler']['exit_on_error'] = $enable;
}

// [EOF]
?>
